Subject: undefined symbols
From: [email-masked] (Robert Zanzerkia)

9 Apr 1998 02:45:37 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked]

Hi,
    I am trying to build gdb on WIndowsNT using cygwin32.
    The stock gdb builds fine.
    In my company we have modified stock gdb to include cpu's
    we support.
    Some features are provided through our library (libmc.a).

    I applied all our code changes to gdb code.
    I can compile fine, however when I link against our private library
(libmc.a)
    I get following undefined references (some examples below)..

H:imports/os/system/lib/winnt-4_0-ix86/libmc.lib(winnt_user_posio.o)(.text+0x1f8

):i490.c: undefined reference to `_imp__printf'
H:imports/os/system/lib/winnt-4_0-ix86/libmc.lib(winnt_user_posio.o)(.text+0x3ef

):i490.c: undefined reference to `_imp___close'

    Any suggestions on how to compile my libmc.a so that these symbols
can be found in
    cygnus library ?
    NOTE: libmc.a was compiled using vc++ compiler (cl), due to customer
requirement
              we have to use vc++ compiler for libmc.a...

Thank you in advance...
Robert

    I tried compiling with -D_CRTIMP after looking at the following
header without much success.

/* Define _CRTIMP */

#ifndef _CRTIMP
#ifdef  _NTSDK
/* definition compatible with NT SDK */
#define _CRTIMP
#else   /* ndef _NTSDK */
/* current definition */
#ifdef  _DLL
#define _CRTIMP __declspec(dllimport)
#else   /* ndef _DLL */
#define _CRTIMP
#endif  /* _DLL */
#endif  /* _NTSDK */
#endif  /* _CRTIMP */

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".